Bug 1395298 - RHEL 7.3: have rbd multipathd checker set lock_on_read rbd map setting
Summary: RHEL 7.3: have rbd multipathd checker set lock_on_read rbd map setting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Lin Li
URL:
Whiteboard:
Depends On: 1380602
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-15 16:11 UTC by Marcel Kolaja
Modified: 2017-01-17 18:09 UTC (History)
14 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-99.el7_3.1
Doc Type: Bug Fix
Doc Text:
Cause: When a Ceph rbd image is exported through multiple iSCSI targets, the rbd kernel module will grab the exclusive lock when it receives a write request. Consequence: If a write request is hung in the rbd module, and the iSCSI initiator and multipath layer decide to fail the request to the application, read requests sent after the failure may not reflect the state of the write. Fix: The rbd module will grab the exclusive lock for both reads and writes. This will cause hung writes to be flushed and or failed before executing reads. Result: Read requests sent after failed writes will always return the same data.
Clone Of: 1380602
Environment:
Last Closed: 2017-01-17 18:09:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0076 normal SHIPPED_LIVE device-mapper-multipath bug fix update 2017-01-17 22:51:23 UTC

Description Marcel Kolaja 2016-11-15 16:11:51 UTC
This bug has been copied from bug #1380602 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Ben Marzinski 2016-11-21 21:32:15 UTC
Fix backported.

Comment 9 Hemanth Kumar 2017-01-04 09:28:25 UTC
Verified the fix on following Builds

device-mapper-multipath-0.4.9-99.el7.x86_64
ceph  10.2.3-13.el7cp.x86_64

Comment 12 errata-xmlrpc 2017-01-17 18:09:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0076.html


Note You need to log in before you can comment on or make changes to this bug.